import java.io.EOFException;
import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;

public final class Class431 {

   long aLong5394;
   long aLong5395;
   RandomAccessFile aRandomAccessFile5396;
   public static int anInt5397;


   public final long method7294() throws IOException {
      return this.aRandomAccessFile5396.length();
   }

   public final long method7295() throws IOException {
      return this.aRandomAccessFile5396.length();
   }

   public final void method7296(byte[] var1, int var2, int var3, byte var4) throws IOException {
      if(this.aLong5394 * -4438640785050030413L + (long)var3 > this.aLong5395 * 4826254868811865113L) {
         this.aRandomAccessFile5396.seek(4826254868811865113L * this.aLong5395);
         this.aRandomAccessFile5396.write(1);
         throw new EOFException();
      } else {
         this.aRandomAccessFile5396.write(var1, var2, var3);
         this.aLong5394 += (long)var3 * 2059473880542621819L;
      }
   }

   public final void method7297(int var1) throws IOException {
      if(null != this.aRandomAccessFile5396) {
         this.aRandomAccessFile5396.close();
         this.aRandomAccessFile5396 = null;
      }

   }

   public final long method7298(int var1) throws IOException {
      return this.aRandomAccessFile5396.length();
   }

   public final int method7299(byte[] var1, int var2, int var3, int var4) throws IOException {
      int var5 = this.aRandomAccessFile5396.read(var1, var2, var3);
      if(var5 > 0) {
         this.aLong5394 += (long)var5 * 2059473880542621819L;
      }

      return var5;
   }

   void method7300() throws Throwable {
      if(null != this.aRandomAccessFile5396) {
         System.out.println("");
         this.method7297(-662188217);
      }

   }

   void method7301() throws Throwable {
      if(null != this.aRandomAccessFile5396) {
         System.out.println("");
         this.method7297(-585194387);
      }

   }

   final void method7302(long var1) throws IOException {
      this.aRandomAccessFile5396.seek(var1);
      this.aLong5394 = var1 * 2059473880542621819L;
   }

   void method7303() throws Throwable {
      if(null != this.aRandomAccessFile5396) {
         System.out.println("");
         this.method7297(-1566551786);
      }

   }

   public final int method7304(byte[] var1, int var2, int var3) throws IOException {
      int var4 = this.aRandomAccessFile5396.read(var1, var2, var3);
      if(var4 > 0) {
         this.aLong5394 += (long)var4 * 2059473880542621819L;
      }

      return var4;
   }

   public final void method7305(byte[] var1, int var2, int var3) throws IOException {
      if(this.aLong5394 * -4438640785050030413L + (long)var3 > this.aLong5395 * 4826254868811865113L) {
         this.aRandomAccessFile5396.seek(4826254868811865113L * this.aLong5395);
         this.aRandomAccessFile5396.write(1);
         throw new EOFException();
      } else {
         this.aRandomAccessFile5396.write(var1, var2, var3);
         this.aLong5394 += (long)var3 * 2059473880542621819L;
      }
   }

   public final void method7306(byte[] var1, int var2, int var3) throws IOException {
      if(this.aLong5394 * -4438640785050030413L + (long)var3 > this.aLong5395 * 4826254868811865113L) {
         this.aRandomAccessFile5396.seek(4826254868811865113L * this.aLong5395);
         this.aRandomAccessFile5396.write(1);
         throw new EOFException();
      } else {
         this.aRandomAccessFile5396.write(var1, var2, var3);
         this.aLong5394 += (long)var3 * 2059473880542621819L;
      }
   }

   public final void method7307(byte[] var1, int var2, int var3) throws IOException {
      if(this.aLong5394 * -4438640785050030413L + (long)var3 > this.aLong5395 * 4826254868811865113L) {
         this.aRandomAccessFile5396.seek(4826254868811865113L * this.aLong5395);
         this.aRandomAccessFile5396.write(1);
         throw new EOFException();
      } else {
         this.aRandomAccessFile5396.write(var1, var2, var3);
         this.aLong5394 += (long)var3 * 2059473880542621819L;
      }
   }

   public final void method7308() throws IOException {
      if(null != this.aRandomAccessFile5396) {
         this.aRandomAccessFile5396.close();
         this.aRandomAccessFile5396 = null;
      }

   }

   public Class431(File var1, String var2, long var3) throws IOException {
      if(var3 == -1L) {
         var3 = Long.MAX_VALUE;
      }

      if(var1.length() > var3) {
         var1.delete();
      }

      this.aRandomAccessFile5396 = new RandomAccessFile(var1, var2);
      this.aLong5395 = var3 * 548903639249567785L;
      this.aLong5394 = 0L;
      int var5 = this.aRandomAccessFile5396.read();
      if(-1 != var5 && !var2.equals("r")) {
         this.aRandomAccessFile5396.seek(0L);
         this.aRandomAccessFile5396.write(var5);
      }

      this.aRandomAccessFile5396.seek(0L);
   }

   public void finalize() throws Throwable {
      if(null != this.aRandomAccessFile5396) {
         System.out.println("");
         this.method7297(1632294283);
      }

   }

   public final int method7309(byte[] var1, int var2, int var3) throws IOException {
      int var4 = this.aRandomAccessFile5396.read(var1, var2, var3);
      if(var4 > 0) {
         this.aLong5394 += (long)var4 * 2059473880542621819L;
      }

      return var4;
   }

   public final int method7310(byte[] var1, int var2, int var3) throws IOException {
      int var4 = this.aRandomAccessFile5396.read(var1, var2, var3);
      if(var4 > 0) {
         this.aLong5394 += (long)var4 * 2059473880542621819L;
      }

      return var4;
   }

   public final int method7311(byte[] var1, int var2, int var3) throws IOException {
      int var4 = this.aRandomAccessFile5396.read(var1, var2, var3);
      if(var4 > 0) {
         this.aLong5394 += (long)var4 * 2059473880542621819L;
      }

      return var4;
   }

   public final void method7312(byte[] var1, int var2, int var3) throws IOException {
      if(this.aLong5394 * -4438640785050030413L + (long)var3 > this.aLong5395 * 4826254868811865113L) {
         this.aRandomAccessFile5396.seek(4826254868811865113L * this.aLong5395);
         this.aRandomAccessFile5396.write(1);
         throw new EOFException();
      } else {
         this.aRandomAccessFile5396.write(var1, var2, var3);
         this.aLong5394 += (long)var3 * 2059473880542621819L;
      }
   }

   static boolean method7313(int var0, byte var1) {
      return 9 == var0 || 15 == var0 || 18 == var0 || var0 == 2;
   }

   static final void method7314(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      if(Class245.method4382(var4, var2, (byte)52) != null) {
         if(var3 != 13852513) {
            ;
         }

         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1494 = Class193.method3350(var4, var2, 1842973919);
      var0.aBool1520 = true;
   }

   static void method7315(int var0, int var1, int var2, int var3, int var4) {
      Class225_Sub14_Sub2 var5 = Class49.method1193(8, (long)var0);
      var5.method15502((byte)-86);
      var5.anInt9990 = var1 * -1655449005;
      var5.anInt10006 = 1329717343 * var2;
      var5.anInt9983 = var3 * 1180605109;
   }
}
